# Retrieve an entity using its identifier

Retrieves an entity with the specified identifier, including related data such as properties, member groups, renditions, permissions, and so on.

Endpoint: GET /api/entities/identifier/{identifier}
Version: v2.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `identifier` (string, required)
    The identifier for the entity, for example, `asset.VIPeventfruitbowl`.

## Query parameters:

  - `culture` (string)
    Culture in which to load the entity, for example `en-US`. If no culture is provided, multi-language properties are not included.

  - `groups` (string)
    Member groups to include, for example `PreambleGroup,ChoiceGroup`.

  - `members` (string)
    Members to include, for example `PreambleThemeProperty,ChoiceThemeProperty`.

  - `renditions` (string)
    Renditions to include (comma-separated list), for example `Thumbnail,Preview`.

  - `nestedRelations` (array)
    Nested relations to retrieve. Expected format: `<name>|<role>[|<propertyName>]`.

  - `loadPermissions` (boolean)
    Whether to include all permissions the user has on the entity.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `id` (integer)
    The ID for the entity, for example `39752`.

  - `identifier` (string)
    The identifier for the entity, for example, `asset.VIPeventfruitbowl`.

  - `cultures` (array)
    The cultures associated with the entity, for example `en-US`.

  - `properties` (object)
    The properties of the entity.

  - `relations` (object)
    The relations of the entity.

  - `created_by` (object)
    Represents a link to a resource.

  - `created_by.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `created_by.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `created_by.title` (string)
    Gets or sets the title that describes this link.

  - `created_by.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `created_on` (string)
    The date and time when the entity was created.

  - `modified_on` (string)
    The date and time when the entity was last modified.

  - `locked_on` (string)
    The date and time when the entity was locked.

  - `requested_permissions` (object)
    The requested permissions with identification if a certain user has the permissions.

  - `is_root_taxonomy_item` (boolean)
    Gets or sets a value indicating whether the entity is a root taxonomy item.

  - `is_path_root` (boolean)
    Gets or sets a value indicating whether the entity is a path root.

  - `inherits_security` (boolean)
    Gets or sets a value indicating whether the entity inherits security.

  - `is_system_owned` (boolean)
    Gets or sets a value indicating whether the entity is system owned.

  - `version` (integer)
    The version of the entity.

  - `modules` (array)
    The modules associated with the entity.

## Response 301:

  - `301` (unknown)
    Redirected (Moved permanently). Applies only to light entities.

## Response 400:

  - `400` (unknown)
    Request or Entity identifier not valid (for example, less than or equal to zero or does not exist).

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 404:

  - `404` (unknown)
    Entity not found or user not authorized

